package com.supervision.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.time.LocalDateTime;

import lombok.Data;

/**
 * 知识库
 *
 * @TableName ir_knowledge
 */
@TableName(value = "ir_knowledge", schema = "interro_robot")
@Data
public class IrKnowledge implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 标准问题
     */
    private String standardQuestion;

    /**
     * 状态(1生效 2部分生效 3未部署)
     */
    private Integer state;

    /**
     * SQL模板(使用模板工具)
     */
    private String sqlTemplate;

    /**
     * 回答模板格式(使用模板工具)
     */
    private String resultTemplate;

    /**
     *
     */
    private String createUserId;

    /**
     *
     */
    private LocalDateTime createTime;

    /**
     *
     */
    private String updateUserId;

    /**
     *
     */
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}