package com.supervision.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.time.LocalDateTime;

import lombok.Data;

/**
 * 用户表
 *
 * @TableName ir_user
 */
@TableName(value = "ir_user", schema = "interro_robot")
@Data
public class IrUser implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 用户账户
     */
    private String userAccount;

    /**
     * 真实姓名
     */
    private String realName;

    /**
     * 用户密码
     */
    private String ps;

    /**
     * 状态(1启动 2禁用)
     */
    private Integer state;

    /**
     * 用户角色(1管理员 2普通用户)
     */
    private Integer roleType;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人ID
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;



    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}