package com.supervision.service;

import java.util.Map;

/**
 * 通过问询模板查询数据，并返回结果模板
 */
public interface QueryTemplateProcessor {

    /**
     * 根据模板id查询结果
     * @param templateId 模板id
     * @return 回答结果
     */
    String query(String templateId);

    /**
     * 根据模板id和输入参数查询结果
     * @param templateId 模板id
     * @param input 入参
     * @return 回答结果
     */
    String query(String templateId, Map<String, Object> input);
}
